Description

It seems that people often create the test issues on Redmine.org, potentially due to low discoverability of the demo site for Redmine
and the identical design of both redmine.org and demo.redmine.org which is confusing.

To solve this problem, the following propositions might be the best:

1. Have a different landing page for Redmine.org (it's even better if it will be multilingual) which would look more modern, serve more
of a presentation purpose and clearly point out that there is a demo site specifically for testing, then finally link to different modules of
Redmine's Redmine. A great inspiration site for Redmine could be the one made for [Blender](https://www.blender.org).

2. Edit the yellow box message when submitting the new issue (see the attachment), where the first line would be the explanation
with the bold and red text, urging users not to submit test issues and instead use the Demo site.

Best Regards.

History

#1 - 2018-09-25 09:44 - Anonymous

Going to have to bump this one once!
+1 to my own ticket because | agree XD. Please feel free to add more ideas for the fix.

#2 - 2018-12-17 13:54 - Anonymous

Ok, | think we need to decide how we might go about this problem in the future, so feel free to propose more possible solutions if you have any. |
made a minor JS script before, which informs users whenever they are about to visit Redmine.org from their self-hosted Redmine so they wouldn't be
lost, but there are couple of problems:

1. The alert message will then have to be localized in all the languages... | can't localize it on my own.
2. It will still take many years before people will upgrade to the latest version, so it's not a fast solution even if the patch will get to one of the
releases.

| think many people are also ending up being sad later due to tickets and documents which get lost...

#3 - 2019-01-23 21:06 - Anonymous

Additional ideas | got recently:

1. Maybe rerouting Redmine.org domain via Cloudflare content delivery system, or anything similar (there is free plan, and it will be more than

enough), could filter off a lot of unnecessary spammers, it has quite a tough security as far as | managed to experience, and it should create

chaIIenges for suspects for sure (please see
.cl

: . There is also a quick button to
force HTTPS, because currently you can visit Redmine.org via bare HTTP.

2. SMF Forum for instance, has an own quick dedicated help page with set of external links, maybe making something similar in Redmine could
reduce the confusion for people who end up creating test issues on Redmine.org. 590e1627-241b-45be-a9cb-8a2a89516ef3.png

#4 - 2019-01-24 01:57 - Go MAEDA

- Subject changed from Addressing the test issues problem on Redmine.org to Addressing the test issues and spammer problems on Redmine.org

#5 - 2019-01-29 07:03 - Marius BALTEANU

In this morning, we had almost 200 spam tickets opened.

Files

yellowbox.PNG 13.1 KB 2018-08-28 Anonymous

2025-07-02 1/1



https://www.blender.org
https://support.cloudflare.com/hc/en-us/articles/200170066-Will-activating-Cloudflare-stop-all-spammers-or-attackers-
http://www.tcpdf.org

